Bug 25953 - Add ID to installed plugins table to ease styling and DOM mods
Summary: Add ID to installed plugins table to ease styling and DOM mods
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Plugin architecture (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low trivial (vote)
Assignee: David Cook
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-07-08 12:32 UTC by David Cook
Modified: 2020-08-16 20:30 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.11.00, 20.05.03


Attachments
Bug 25953: Add class to installed plugins table on plugins-home.pl (1.17 KB, patch)
2020-07-08 12:39 UTC, David Cook
Details | Diff | Splinter Review
Bug 25953: Add class to installed plugins table on plugins-home.pl (1.23 KB, patch)
2020-07-24 16:01 UTC, PTFS Europe Sandboxes
Details | Diff | Splinter Review
Bug 25953: Add class to installed plugins table on plugins-home.pl (1.29 KB, patch)
2020-07-26 13:08 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 25953: Add ID to installed plugins table on plugins-home.pl (1.16 KB, patch)
2020-07-29 01:00 UTC, David Cook
Details | Diff | Splinter Review
Bug 25953: Add ID to installed plugins table on plugins-home.pl (1.21 KB, patch)
2020-07-29 23:27 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description David Cook 2020-07-08 12:32:35 UTC
It would be more exact to say "Installed plugins" instead of "Plugins" on plugins-home.pl.
Comment 1 David Cook 2020-07-08 12:35:50 UTC
Ah, but right now the "Search results" are shown as a h2 under the h1 of Plugins.
Comment 2 David Cook 2020-07-08 12:39:17 UTC
Created attachment 106652 [details] [review]
Bug 25953: Add class to installed plugins table on plugins-home.pl

This patch adds a "installed_plugins" class to the table
of installed plugins.

The idea is that it will ease styling and DOM mods through Javascript.
Comment 3 PTFS Europe Sandboxes 2020-07-24 16:01:52 UTC
Created attachment 107358 [details] [review]
Bug 25953: Add class to installed plugins table on plugins-home.pl

This patch adds a "installed_plugins" class to the table
of installed plugins.

The idea is that it will ease styling and DOM mods through Javascript.

Signed-off-by: Sally <sally.healey@cheshiresharedservices.gov.uk>
Comment 4 Katrin Fischer 2020-07-26 13:08:31 UTC
Created attachment 107370 [details] [review]
Bug 25953: Add class to installed plugins table on plugins-home.pl

This patch adds a "installed_plugins" class to the table
of installed plugins.

The idea is that it will ease styling and DOM mods through Javascript.

Signed-off-by: Sally <sally.healey@cheshiresharedservices.gov.uk>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Jonathan Druart 2020-07-27 15:04:58 UTC
Why not an id?
Comment 6 Katrin Fischer 2020-07-27 15:13:52 UTC
You are quite right about that...
Comment 7 David Cook 2020-07-29 00:58:31 UTC
(In reply to Jonathan Druart from comment #5)
> Why not an id?

I have no idea. I wrote that patch around 11pm, so I must've not been thinking clearly.

I'll redo this one.
Comment 8 David Cook 2020-07-29 01:00:27 UTC
Created attachment 107473 [details] [review]
Bug 25953: Add ID to installed plugins table on plugins-home.pl

This patch adds a "installed_plugins" ID to the table
of installed plugins.

The idea is that it will ease styling and DOM mods through Javascript.
Comment 9 Katrin Fischer 2020-07-29 23:27:42 UTC
Created attachment 107558 [details] [review]
Bug 25953: Add ID to installed plugins table on plugins-home.pl

This patch adds a "installed_plugins" ID to the table
of installed plugins.

The idea is that it will ease styling and DOM mods through Javascript.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 10 Katrin Fischer 2020-07-29 23:28:03 UTC
A small patch - using my QA powers here...
Comment 11 Jonathan Druart 2020-07-30 15:47:10 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 12 Lucas Gass 2020-08-13 14:57:11 UTC
backported to 20.05.x for 20.05.03
Comment 13 Aleisha Amohia 2020-08-16 20:30:53 UTC
enhancement, not backported to 19.11.x